Author terry.reedy
Recipients markroseman, ncoghlan, python-dev, serhiy.storchaka, terry.reedy
Date 2015-08-02.00:51:31
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1438476693.08.0.794150803172.issue24759@psf.upfronthosting.co.za>
In-reply-to
Content
Re-reading PEP 434, I was mistaken to apply this patch to 2.7 and 3.4 without further discussion.  The PEP says "The PEP would apply to minor ..., but not necessarily to possible major re-writes such as switching to themed widgets ... ." 

Nick, should I post something on python-ideas or pydev, or continue here (moved from #24750) about making the switch also in 2.7 and 3.4?

I believe it would be best overall to at upgrade Idle 2.7, but I will not cry if we stop patching it now. Ditto for 3.4, which will soon get security fixes only anyway.  I am ok with using ttk starting with 3.5.
History
Date User Action Args
2015-08-02 00:51:33terry.reedysetrecipients: + terry.reedy, ncoghlan, markroseman, python-dev, serhiy.storchaka
2015-08-02 00:51:33terry.reedysetmessageid: <1438476693.08.0.794150803172.issue24759@psf.upfronthosting.co.za>
2015-08-02 00:51:32terry.reedylinkissue24759 messages
2015-08-02 00:51:31terry.reedycreate